use ExtUtils::MakeMaker;
use Config;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.

print "Trying to find some configuration information...\n";
my $tde_inc = "@kde_includes@";
my $tde_lib = "@kde_libraries@";
my $qt_inc = "@tqt_includes@";
my $qt_lib = "@qt_libraries@";

WriteMakefile(
    NAME	=> 'DCOP',
    VERSION_FROM => '@srcdir@/DCOP.pm',
    INC		=> "-I$qt_inc -I$tde_inc -I/usr/include/tqt",
    LIBS	=> "-L$qt_lib -ltqt-mt -L$tde_lib -ltdecore -lDCOP",
    XS		=> {'DCOP.xs' => 'DCOP.cpp'},
    XSOPT	=> '-C++',
    CCFLAGS	=> '-x c++',
);

sub MY::xs_c {
    package MY;
    my $hack = shift->SUPER::xs_c(@_);
    $hack =~ s/\.c/.cpp/g;
    $hack;
}

